# Generate automatically. Do not edit.

commit b45e7e8f90766c8e7a90bb74b378b2787df2dade
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2025-09-18

    Release 0.25.9
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 NEWS         | 3 +++
 configure.ac | 4 ++--
 meson.build  | 4 ++--
 3 files changed, 7 insertions(+), 4 deletions(-)

commit 006e627ee95f1fce85c9825c8a0664adb1400e30
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-18

    subprojects/pkcs11-json: Update git submodule
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 subprojects/pkcs11-json | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2ee61264fa004e65176adf601c0bacc355d8b63b
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-13

    Release 0.25.8
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 NEWS         | 3 +++
 configure.ac | 4 ++--
 meson.build  | 4 ++--
 3 files changed, 7 insertions(+), 4 deletions(-)

commit e7b760a54c07a727aab3e5b1b3e5d889d5cb9b24
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-13

    Revert "rpc: Correctly map Mozilla certificate distrust attributes"
    
    This reverts commit 5a8430413c88e9ee34feebe98566ab35c0a1bb96, which
    broke RPC compatibility with the existing servers. Ideally, this should
    be conditionalized by the negotiated protocol version, though that
    wouldn't be straightforward as this is a low level function.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 p11-kit/rpc-message.c | 13 ++++---------
 1 file changed, 4 insertions(+), 9 deletions(-)

commit 40dfd50395ef4a1d5cd3d12a5ccc2a76bec6452c
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-10

    Release 0.25.7
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 NEWS         | 3 +++
 configure.ac | 2 +-
 meson.build  | 2 +-
 3 files changed, 5 insertions(+), 2 deletions(-)

commit e90800d8c718b4ada7c8e1a0039c8f9069345291
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-10

    .gitignore: Ignore more files
    
    gettext 0.23.1 updates po/boldquot.sed and po/quot.sed, as well as
    introduces po/insert-header.sed. Also, the common/test-init.sh file is
    generated by configure from common/test-init.sh.in.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 .gitignore      |  3 +++
 po/boldquot.sed | 11 +++++++++++
 po/quot.sed     | 11 +++++++++++
 3 files changed, 25 insertions(+)

commit 93ba10fd8c7764dd253105c9ae927dcaae406843
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-09

    meson: Resurrect systemd unit files installation
    
    The commit cd761134869d1350fb7b7d477947cf83a33133de mistakenly removed
    the setting of with_systemd, resulting in the systemd unit files being
    not installed on the system.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 meson.build | 1 +
 1 file changed, 1 insertion(+)

commit c10a602f925352a1641817f74ef6baedb007a8e8
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-09

    autotools: Distribute zsh-completion subdir
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4f8213725ff45d1c69956a55d3f047b6c711d4a2
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-09

    Release 0.25.6
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 NEWS         | 15 +++++++++++++++
 configure.ac |  4 ++--
 meson.build  |  4 ++--
 3 files changed, 19 insertions(+), 4 deletions(-)

commit 49ed354b4b7100acc4cf081916d91007d85b5beb
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-09

    test: Make test-server run as root
    
    The test uses a custom user module, which is ignored if run as root,
    unless p11_conf_force_user_config is set.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 p11-kit/test-server.c | 4 ++++
 1 file changed, 4 insertions(+)

commit afcc8c97165107983c92fec56014d2c284ef1c46
Author: Maxim Cournoyer <maxim.cournoyer@gmail.com>
Date:   2025-05-25

    dist: Distribute generated headers.
    
    This means users of the source distribution do not need to use Python
    to have these generated at build time.
    
    * p11-kit/Makefile.am (EXTRA_DIST): Register $(VIRTUAL_GENERATED) and
    $(PROXY_GENERATED) files.
    
    Fixes: #666

 p11-kit/Makefile.am | 4 ++++
 1 file changed, 4 insertions(+)

commit 7228b611f2211f3c1b8378860467072a6faddda8
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-05

    test: Improve coverage in test_get_wrap_template
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 p11-kit/test-mock.c | 3 +++
 1 file changed, 3 insertions(+)

commit 5a8430413c88e9ee34feebe98566ab35c0a1bb96
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-04

    rpc: Correctly map Mozilla certificate distrust attributes
    
    The attributes used for expressing certificate distrust in NSS were
    incorrectly mapped to a byte array.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 p11-kit/rpc-message.c | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 1559211a67719c456fec46a245d4d4614f28a450
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-05

    rpc: Add module configuration option to specify server address
    
    This adds "server-address" option to the module configuration, which
    would be useful when connecting to p11-kit-server running as a system
    service. The option has a higher precedence over any other
    alternatives, the P11_KIT_SERVER_ADDRESS envvar, or
    the default $XDG_RUNTIME_DIR/pkcs11.
    
    For this to work, p11-kit-client.so exposes a vendor interface through
    C_GetInterface. This interface is hidden from the list obtained from
    C_GetInterfaceList.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 doc/manual/pkcs11.conf.xml |  7 +++++
 p11-kit/client.c           | 48 ++++++++++++++++++++++++++++++---
 p11-kit/client.h           | 11 ++++++++
 p11-kit/modules.c          | 39 ++++++++++++++++++++++++---
 p11-kit/test-server.c      | 66 ++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 163 insertions(+), 8 deletions(-)

commit bb8d9aa857ba03e1606001ce8a49dbbb16ecfee3
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-08

    ci: Install sccache and gcovr on the base image
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 ci/Dockerfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 168127cfc2036f817b92a3a82399522bf76329f4
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-08

    ci: cppcheck: Use compilation database generated with meson
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 .github/actions/basic-meson/action.yaml | 4 +++-
 .github/workflows/test.yaml             | 7 +++++--
 common/compat.h                         | 4 +++-
 p11-kit/test-transport-base.c           | 1 +
 trust/frob-nss-trust.c                  | 2 ++
 trust/test-module.c                     | 1 +
 6 files changed, 15 insertions(+), 4 deletions(-)

commit 220353e1144eb9567086d854534d08fe4be6280f
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-05

    ci: Supply AddressSanitizer suppression file
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 .github/actions/basic-meson/action.yaml | 2 +-
 build/lsan.supp                         | 3 +++
 2 files changed, 4 insertions(+), 1 deletion(-)

commit a8793c9968602a82aebcd7be3081744995b739b9
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-03

    rpc: Fix empty array attribute handling
    
    When an empty array attribute is exchanged at the RPC level, the
    client previously sent the number of elements (= 0) even if it's
    empty, while the server doesn't expect it. This fixes the client to
    not send it.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 p11-kit/rpc-message.c |  2 +-
 p11-kit/test-mock.c   | 11 +++++++++++
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 6124cb00da954b9bfec87c8675b114841be1112d
Author: filmsi <miles@filmsi.net>
Date:   2025-08-18

    Update sl.po
    
    Updated Slovenian translation as they do not get updated from transifex.

 po/sl.po | 1222 +++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 817 insertions(+), 405 deletions(-)

commit c9a7741c687daa815596be17f49a9294a8573ba5
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-08-12

    ci: Do not pull in weak dependencies
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 ci/Dockerfile | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 9e2ac451e1e063c9a306e6dd28ae027b20954618
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-08-05

    ci: Assume DNF5
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 ci/Dockerfile | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bed8eb3ab403be9c60ed0b31cdf8c2b17b6f3bcb
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-08-05

    ci: Specify the container registry
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 ci/Dockerfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4c77c549af8d4c37b1cf190337b2e9497fbbda73
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-08-05

    Update CI image to Fedora 42
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 ci/Dockerfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 01408e2651e2e31232b6c9f170fd66f502aba28e
Author: ArtSin <artsin666@gmail.com>
Date:   2025-08-02

    Fix running of test teardown on failure
    
    The variable `setup` is set to 1 between `setjmp` and call to `longjmp` in
    `p11_test_fail`, so its value is indeterminate upon the second return from
    `setjmp`. If the variable is stored in a register, `setjmp` resets it to the
    value before the call (0), and the teardown function is not executed. Fix
    by making the variable `volatile`.
    
    This bug can be observed, for example, by modifying `test-argv` to fail and
    building with LeakSanitizer and optimizations.

 common/test.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1bbd6db36b68cae074b35845c212c7d9a8ba19fe
Author: Chan Lee <Leetimemp@gmail.com>
Date:   2025-03-28

    gen-wrappers.py: Use `with` statement to ensure file contents are written

 p11-kit/gen-wrappers.py | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit dfce3caa2159f1515368e8eb34f329a13c39db75
Author: Chan Lee <Leetimemp@gmail.com>
Date:   2025-03-28

    gen-fixed-closures.py: Use `with` statement to ensure file contents are written

 p11-kit/gen-fixed-closures.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit cd761134869d1350fb7b7d477947cf83a33133de
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-04-30

    server: Remove libsystemd dependency for socket activation
    
    While libsystemd provides rich facilities to interact with systemd,
    the server uses it only for socket activation, which is now also
    supported by other service managers. This avoids the dependency by
    embedding the minimal implementation of socket activation.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 configure.ac        |  3 --
 meson.build         |  7 +----
 p11-kit/meson.build |  4 +--
 p11-kit/server.c    | 90 +++++++++++++++++++++++++++++++++++++++++++----------
 4 files changed, 77 insertions(+), 27 deletions(-)

commit ecd31126164444851a1cfcd2e31071f063424d51
Author: Zhang Maiyun <me@maiyun.me>
Date:   2025-04-19

    Add justification for omitting NEED_READPASSPHRASE

 configure.ac | 3 +++
 1 file changed, 3 insertions(+)

commit 9741f81e235bc5e11d6ff66fcc2fcd72cd24da4d
Author: Zhang Maiyun <me@maiyun.me>
Date:   2025-04-17

    Fix definition of NEED_READPASSPHRASE on non-unix

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a51fa0b3f9c0e888d9be9675634b312ee6a7b769
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2025-01-30

    Update pkcs11.h to version 3.1
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 common/constants.c    |  314 +++++
 common/pkcs11.h       | 3112 ++++++++++++++++++++++++++++++++++---------------
 p11-kit/test-mock.c   |    2 +-
 p11-kit/test-proxy3.c |    1 -
 4 files changed, 2515 insertions(+), 914 deletions(-)

commit c97e6f68bf432538eb07f50e719228f7d72fca05
Author: dura <dev@duradsl.duckdns.org>
Date:   2025-04-04

    Avoid segfault if p11_library_init_impl/p11_library_uninit are called multiple times

 common/library.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 33a55b50282252b768615d818cb69dc3903b7c90
Author: Ronan Pigott <ronan@rjp.ie>
Date:   2025-03-03

    Add zsh-completions
    
    Adds some basic zsh completions for p11-kit, and some more comprehensive
    completions for the trust command.

 meson.build                |   1 +
 meson_options.txt          |   8 ++++
 zsh-completion/meson.build |  11 +++++
 zsh-completion/p11-kit.zsh |  27 ++++++++++++
 zsh-completion/trust.zsh   | 102 +++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 149 insertions(+)

commit 0313eca147821849620d670b7aace1e9864ba7f5
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2025-02-13

    Fix errors when compiling with -std=gnu23
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 p11-kit/export-object.c | 2 +-
 trust/x509.c            | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 5c1aea1909820a937bc3852c7d47b9ddc62e363f
Author: Akhmadou <61347685+0SansNom@users.noreply.github.com>
Date:   2024-11-15

    Update fr.po

 po/fr.po | 469 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 235 insertions(+), 234 deletions(-)

commit d7523b1031938fdd9740757f90e903aa09f5397d
Author: Finn Callies <finn.callies@ibm.com>
Date:   2024-12-11

    Add support for CKM_IBM_KYBER
    
    This adds support for the CKM_IBM_KYBER IBM specific mechanism.
    Additionally this exploits the rpc_C_DeriveKey rework.

 common/attrs.c        |   3 +
 common/constants.c    |   5 ++
 common/pkcs11x.h      |  46 +++++++++++++
 p11-kit/rpc-message.c | 186 ++++++++++++++++++++++++++++++++++++++++++++++++++
 p11-kit/rpc-message.h |  20 ++++++
 5 files changed, 260 insertions(+)

commit aee856f75e06e451a34cb1fdd6630945c9d1623c
Author: Finn Callies <finn.callies@ibm.com>
Date:   2025-01-13

    Add support for CKM_IBM_BTC_DERIVE
    
    This adds support for the CKM_IBM_BTC_DERIVE IBM specific mechanism.
    Additionally this exploits the rpc_C_DeriveKey rework.

 common/constants.c    |   1 +
 common/pkcs11x.h      |  38 ++++++++++++++
 p11-kit/rpc-message.c | 137 ++++++++++++++++++++++++++++++++++++++++++++++++++
 p11-kit/rpc-message.h |  20 ++++++++
 4 files changed, 196 insertions(+)

commit 6449cfe59b80344c87832c9e38afcb4df3f61c56
Author: Finn Callies <finn.callies@ibm.com>
Date:   2025-01-10

    Rework rpc_C_DeriveKey to allow size queries
    
    This adds support to the rpc_C_DeriveKey to send the mechanism parameter
    back to the client after the actual call. This is necessary to allow
    size queries for potential output fields in the parameter. In this case
    the call itself will fail but instead of writing an error response the
    client has to get the updated parameter. For this the server will send
    the error code along with the parameter back to the client that then can
    allocate space for the output fields in the parameter and do the call
    again.
    Since this will lead to a backwards compatability problem within the RPC
    protocol the version is bumped.

 configure.ac          |   2 +-
 meson_options.txt     |   2 +-
 p11-kit/rpc-client.c  | 124 +++++++++++++++++++++++++++++++++++++++++++++++---
 p11-kit/rpc-message.c |  94 +++++++++++++++++++++++++++++++++++++-
 p11-kit/rpc-message.h |  10 ++++
 p11-kit/rpc-server.c  |  75 +++++++++++++++++++++++++++++-
 6 files changed, 295 insertions(+), 12 deletions(-)

commit e2f514f7c3a8afa7072022fcf0a536ba9214cb1b
Author: Finn Callies <finn.callies@ibm.com>
Date:   2024-12-11

    Add support for CKM_IBM_ECDSA_OTHER
    
    This adds support for the CKM_IBM_ECDSA_OTHER IBM specific mechanism.

 common/constants.c    |  1 +
 common/pkcs11x.h      | 10 ++++++++++
 p11-kit/rpc-message.c | 48 ++++++++++++++++++++++++++++++++++++++++++++++++
 p11-kit/rpc-message.h | 11 +++++++++++
 4 files changed, 70 insertions(+)

commit b8bb314d65862775e5b71ef1ed671537710c47be
Author: Finn Callies <finn.callies@ibm.com>
Date:   2024-12-11

    Add IBM specific key attributes
    
    This adds support for the following IBM specific attributes:
     - CKA_IBM_OPAQUE_REENC
     - CKA_IBM_OPAQUE_OLD
     - CKA_IBM_DILITHIUM_MODE
     - CKA_IBM_CCA_AES_KEY_MODE

 common/attrs.c        |  1 +
 common/constants.c    |  4 ++++
 common/pkcs11x.h      | 14 ++++++++++++++
 p11-kit/rpc-message.c |  4 ++++
 4 files changed, 23 insertions(+)

commit f42d7256420cee99e4e0a2818ab79dced8245a64
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2025-02-04

    Update to v4 of actions/upload-artifact
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 .github/workflows/cifuzz.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fd7ad3969f68ea24e54d242a08b089039555f7bb
Author: Brecht Sanders <brecht@sanders.org>
Date:   2024-12-31

    avoid using already defined thread_local as variable name
    
    Building p11-kit 0.25.5 with GCC15 on MinGW-w64 failed because `thread_local` is already defined for this platform.
    
    Resolved by changing the variable name from `thread_local` to `threadlocal`.

 common/library.c | 36 ++++++++++++++++++------------------
 1 file changed, 18 insertions(+), 18 deletions(-)

commit fa9ec0e450ce4d34b8245874121b1086cfa97928
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   2024-10-11

    server: check SHELL if (and only if) neither --sh nor --csh is specified
    
    The previous check was checking if the enums returned by getopt were
    non-zero, which they always are, regardless of whether the option has
    been specified or not.
    
    Fixes: e7d1c91 ("server: Check SHELL only when neither --sh nor --csh is specified")
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

 p11-kit/server.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit e3460dbd947471f9a466f6dffc55b045f282b643
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   2024-10-11

    rpc: include <limits.h> for definition of ULONG_MAX
    
    Fixes build failure on Solaris 11.4 with gcc 14.2:
    ../p11-kit/rpc-server.c: In function ‘proto_read_attribute_buffer_array’:
    ../p11-kit/rpc-server.c:289:46: error: ‘ULONG_MAX’ undeclared (first use in this function)
      289 |                         if ((n_array != 0 && ULONG_MAX / n_array < sizeof (CK_ATTRIBUTE)) ||
          |                                              ^~~~~~~~~
    ../p11-kit/rpc-server.c:64:1: note: ‘ULONG_MAX’ is defined in header ‘<limits.h>’; this is probably fixable by adding ‘#include <limits.h>’
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

 p11-kit/rpc-server.c | 1 +
 1 file changed, 1 insertion(+)

commit a8b94642dbe6d52aa7a7805fbb60b64c4cfd7245
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2024-10-03

    trust: don't create file names longer then 255
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 trust/save.c | 19 ++++++++++++++++---
 1 file changed, 16 insertions(+), 3 deletions(-)

commit 89d3a55f67bd8109b559ba3edda7cbdff554e503
Author: Julien Catalano <j.catalano@kerlink.fr>
Date:   2024-09-11

    doc/manual: Fix chapter id collision: proxy/sharing
    
    The chapter id in p11-kit-proxy.xml collides with the one in p11-kit-sharing.xml, which makes the HTML generated page overwriting each other.
    
    This results in duplicate page content for both "Sharing PKCS#11 modules" section and "Proxy Module" section. Both provide content from p11-kit-proxy.xml and make p11-kit-sharing.xml content unavailable to the reader.
    
    Changing the chapter id fixes the issue.

 doc/manual/p11-kit-proxy.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aedf4d9fe1cae452e3a8d44e738b5e2e539a781a
Author: Paul Meyer <49727155+katexochen@users.noreply.github.com>
Date:   2024-08-28

    token: sort paths for reproducible extract
    
    There is no defined order in which readdir will return the entries
    of a directory. In practice, order can depend on inode number or
    similar. If we run p11-kit on different files systems with similar
    directory structure but different inode order the output of extract
    can change.
    
    To get a stable and reproducible output, sort the paths returned by
    readdir before extracting.
    
    Co-authored-by: Tom Dohrmann <erbse.13@gmx.de>
    Signed-off-by: Paul Meyer <49727155+katexochen@users.noreply.github.com>

 trust/token.c | 26 +++++++++++++++++++++++++-
 1 file changed, 25 insertions(+), 1 deletion(-)

commit e6c69724b362a05603aa67eee7401d21cba6f568
Author: Daiki Ueno <ueno@gnu.org>
Date:   2024-08-04

    meson: Set _GNU_SOURCE when checking <locale.h> type and functions
    
    Otherwise neither locale_t, newlocale, nor strerror_l is detected
    under -Dc_std=c99.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 meson.build | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

commit 09929154d768645cff1bcd24527fb2bf0c31ea04
Author: Daiki Ueno <ueno@gnu.org>
Date:   2024-08-04

    meson: Set _GNU_SOURCE when checking reallocarray
    
    Otherwise the function is not detected when compiled with -Dc_std=c99.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 meson.build | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5a79df47f0fdde4dbe551321c091f237bf754367
Author: Daiki Ueno <ueno@gnu.org>
Date:   2024-08-04

    meson: Set _XOPEN_SOURCE while checking strerror_r
    
    Otherwise it cannot detect either version of strerror_r, when compiled
    with -Dc_std=c99.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 meson.build | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 4a173c903463a3d47af8b1bd0aaf17159a8f0b00
Author: Daiki Ueno <ueno@gnu.org>
Date:   2024-08-04

    p11-kit: Include <p11-kit/p11-kit.h> from <p11-kit/uri.h>
    
    This pulls in CRYPTOKI_GNU definitions moved to <p11-kit/p11-kit.h> in
    commit 5332245664f7b82ef190f13894a4a4f4ffb15922.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 p11-kit/uri.h | 1 +
 1 file changed, 1 insertion(+)

commit 5332245664f7b82ef190f13894a4a4f4ffb15922
Author: Daiki Ueno <ueno@gnu.org>
Date:   2024-08-02

    p11-kit: Move CRYPTOKI_GNU definitions to <p11-kit/p11-kit.h>
    
    Previously, the same fallback types are defined in <p11-kit/uri.h> and
    <p11-kit/iter.h> if CRYPTOKI_GNU is defined. This moves those to
    <p11-kit/p11-kit.h> so they are not redefined.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 p11-kit/iter.h    | 10 ----------
 p11-kit/p11-kit.h | 18 +++++++++++++++---
 p11-kit/uri.h     | 11 -----------
 3 files changed, 15 insertions(+), 24 deletions(-)

commit 078acddf9185569cab23257cadae86432d2834f4
Author: Xi Ruoyao <xry111@xry111.site>
Date:   2024-07-06

    build: Set LC_ALL=C for test suite
    
    Otherwise the error messages may be translated, causing a match failure.

 Makefile.am         | 4 +++-
 p11-kit/meson.build | 1 +
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 0dd113361057e477f40ff4d8788f3e7e400af5f9
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2024-07-04

    Release 0.25.5
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 NEWS         | 5 +++++
 configure.ac | 4 ++--
 meson.build  | 4 ++--
 3 files changed, 9 insertions(+), 4 deletions(-)

commit fc0ed91facddc95c475ee31afef7400300d12367
Author: Jan Alexander Steffens (heftig) <heftig@archlinux.org>
Date:   2024-07-02

    iter: Fix recursive attribute loading
    
    Fixes: https://github.com/p11-glue/p11-kit/issues/641
    Signed-off-by: Jan Alexander Steffens (heftig) <heftig@archlinux.org>

 p11-kit/iter.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 694d5cbc89541090664dfb5a43123c123f63b80d
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2024-07-04

    Add include for stdint.h to common/hex.c
    
    Co-authored-by: Daniel Engberg <daniel.engberg.lists@pyret.net>
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 common/hex.c | 1 +
 1 file changed, 1 insertion(+)

commit 94ef36f5a98d977a4bba69312a413f208b7d4664
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2024-07-04

    Update pkcs11-json submodule
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 subprojects/pkcs11-json | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d9449ee55be7adf4666720dd7c1957b44960159b
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2024-07-01

    Release 0.25.4
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 NEWS         | 10 ++++++++++
 configure.ac |  8 ++++----
 meson.build  |  8 ++++----
 3 files changed, 18 insertions(+), 8 deletions(-)

commit c203931e32040f2ffb41461f3e3a5ebf3829ef63
Author: Rosen Penev <rosenp@gmail.com>
Date:   2024-06-28

    fix format warning with 32-bit platforms on musl
    
    musl uses 64-bit time_t, even on 32-bit platforms. Cast to avoid the warning.

 p11-kit/server.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e4cf0375cb70cd0993e3bc5049acf4b495b812c6
Author: Daiki Ueno <ueno@gnu.org>
Date:   2024-05-07

    Add function to check run-time version of the library
    
    This adds p11_kit_check_version function, which can be used to check
    the run-time version of p11-kit.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 Makefile.am            |  1 +
 p11-kit/test-version.c | 16 ++++++++++++++--
 p11-kit/util.c         | 19 +++++++++++++++++++
 p11-kit/version.h.in   |  2 ++
 4 files changed, 36 insertions(+), 2 deletions(-)

commit 652927da18abecedf3ab21728252ec73e8214174
Author: Daiki Ueno <ueno@gnu.org>
Date:   2024-04-26

    p11-kit: Expose version information through macros
    
    This provides P11_KIT_VERSION_{MAJOR,MINOR,MICRO} from the
    <p11-kit/version.h> header, along with a helper macro
    P11_KIT_CHECK_VERSION(major, minor, micro) for checking the version
    requirement with `#if` directive.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 .gitignore             |  1 +
 configure.ac           | 20 +++++++++----
 meson.build            |  1 +
 p11-kit/Makefile.am    |  4 +++
 p11-kit/meson.build    | 14 +++++++--
 p11-kit/test-version.c | 78 ++++++++++++++++++++++++++++++++++++++++++++++++++
 p11-kit/version.h.in   | 58 +++++++++++++++++++++++++++++++++++++
 7 files changed, 169 insertions(+), 7 deletions(-)

commit 8832556a467f65b24d51fda14ea42a42d406c406
Author: Daiki Ueno <ueno@gnu.org>
Date:   2024-04-27

    common: Make libp11-asn1.a depend on libtasn1
    
    This fixes build on systems where <libtasn1.h> is installed in a
    non-standard path.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 common/meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 99611af151c8934f628a11a93a54410fc237d9e9
Author: Daiki Ueno <ueno@gnu.org>
Date:   2024-04-27

    ci: Bump GitHub actions requirements
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 .github/workflows/build-image.yml |  2 +-
 .github/workflows/codeql.yml      |  6 +++---
 .github/workflows/test.yaml       | 22 +++++++++++-----------
 3 files changed, 15 insertions(+), 15 deletions(-)

commit aeb0324ffcfb890fb009cfbeb7b531d67cd6c108
Author: Daiki Ueno <ueno@gnu.org>
Date:   2024-04-27

    ci: Switch to macos-latest
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 .github/workflows/test.yaml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f180636c8f812ccfd9ae149431dab74f734abf5c
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2024-03-21

    Fix division by zero in proto_read_attribute_buffer_array
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 p11-kit/rpc-server.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1195177e20222774de800bbeafa97e3ef291c72d
Author: Jakub Jelen <jjelen@redhat.com>
Date:   2024-03-12

    log: Avoid buffer overflow
    
    There was attempt to fix this in bb3a3cb1, but it fixed only the case
    when this value was actually provided by the token. When the token does
    not support clock, it would print behind the "" buffer, causing random
    constant string to be printed instead of the actual value, for example
    
            utcTime: ../common/attrs
    
    This simplifies the long line for readability and prints additional
    information about this value being unsupported by the token.
    
    Signed-off-by: Jakub Jelen <jjelen@redhat.com>

 p11-kit/log.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 74af78c83e91fb67dce5403a893e6bc133fbc985
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2024-03-20

    Fix the test badge in README
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 README.md | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit c7f12e2eae087c75891cb734875a61e7456e6811
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2024-03-18

    rpc: remove length assert in proto_read_attribute_buffer_array
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 p11-kit/rpc-server.c | 18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

commit f53bdc2c941aae47d592b0376de9a4bc442ec3d2
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2024-03-14

    rpc: check value length before reading the value
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 p11-kit/rpc-message.c | 20 ++++++++++++++++----
 1 file changed, 16 insertions(+), 4 deletions(-)

commit ebfc19c741c7399c2bd48133d3bdf2c70a7b5b0e
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2024-03-07

    Add more tests for recursive attributes
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 common/test-attrs.c | 389 +++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 382 insertions(+), 7 deletions(-)

commit 6529b540ce16cab9a589004152e3c1d1c05d200f
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2024-02-19

    rpc: add support for recursive attributes
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 common/attrs.c        |   4 +-
 common/mock.c         |  72 +++++++++++++++++--
 common/persist.c      |   6 ++
 p11-kit/iter.c        |  58 ++++++++++++++-
 p11-kit/rpc-client.c  |   7 +-
 p11-kit/rpc-message.c | 193 ++++++++++++++++++++++++++++++++++++--------------
 p11-kit/rpc-message.h |  12 +++-
 p11-kit/rpc-server.c  |  75 ++++++++------------
 p11-kit/test-mock.c   | 131 ++++++++++++++++++++++++++++++++++
 9 files changed, 446 insertions(+), 112 deletions(-)

commit 935e28520b7bf00b4fc9b129e75ef6a7372cee25
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2024-03-04

    Fix some compiler warnings
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 common/compat.c      | 2 +-
 p11-kit/rpc-client.c | 9 +++++----
 2 files changed, 6 insertions(+), 5 deletions(-)

commit e8abb00776163e1179ca7257d8bb137857b5eeac
Author: S-P Chan <shihping.chan@gmail.com>
Date:   2024-02-22

    Fallback if C_GetInterface returns 0x54
    
    Addresses #621
    
    Signed-off-by: S-P Chan <shihping.chan@gmail.com>

 p11-kit/modules.c | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

commit 775640465d460e7be262f375830f2617917ffbbb
Author: Kai Kang <kai.kang@windriver.com>
Date:   2024-01-22

    common/meson.build: fix required headers missing failure
